<?php

return [
    'presentation.layout.appearance' => [
        'default' => 'light',
        'label' => _x('Appearance', 'admin-text', 'site-reviews-themes'),
        'options' => [
            'custom' => _x('Custom', 'admin-text', 'site-reviews-themes'),
            'dark' => _x('Dark', 'admin-text', 'site-reviews-themes'),
            'light' => _x('Light', 'admin-text', 'site-reviews-themes'),
            'transparent' => _x('Transparent', 'admin-text', 'site-reviews-themes'),
        ],
        'tooltip' => _x('Select one of the preset styles, or choose "Custom" to use your own style.', 'admin-text', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'presentation.layout.display_as' => [
        'default' => 'grid',
        'label' => _x('Display As', 'admin-text', 'site-reviews-themes'),
        'options' => [
            'carousel' => _x('Carousel', 'admin-text', 'site-reviews-themes'),
            'list' => _x('List', 'admin-text', 'site-reviews-themes'),
            'grid' => _x('Grid', 'admin-text', 'site-reviews-themes'),
        ],
        // 'theme' => ['--gl-col-start', 'layout'],
        'tooltip' => _x('Select how you want your reviews to be displayed', 'admin-text', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'presentation.layout.max_columns' => [
        'default' => 0,
        'depends_on' => [
            'presentation.layout.display_as' => 'grid',
        ],
        'label' => _x('Maximum Columns', 'admin-text', 'site-reviews-themes'),
        'options' => [
            0 => _x('Auto Fit', 'admin-text', 'site-reviews-themes'),
            2 => _x('2 Columns', 'admin-text', 'site-reviews-themes'),
            3 => _x('3 Columns', 'admin-text', 'site-reviews-themes'),
            4 => _x('4 Columns', 'admin-text', 'site-reviews-themes'),
        ],
        // 'theme' => [['property' => '--gl-col-start', 'validate' => 'layout']]
        'tooltip' => _x('Limit the responsive grid to a maximum number of columns', 'admin-text', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'presentation.layout.max_slides' => [
        'default' => 0,
        'depends_on' => [
            'presentation.layout.display_as' => 'carousel',
        ],
        'label' => _x('Maximum Slides Per View', 'admin-text', 'site-reviews-themes'),
        'options' => [
            0 => _x('Auto Fit', 'admin-text', 'site-reviews-themes'),
            1 => _x('1 Slide', 'admin-text', 'site-reviews-themes'),
            2 => _x('2 Slides', 'admin-text', 'site-reviews-themes'),
            3 => _x('3 Slides', 'admin-text', 'site-reviews-themes'),
            4 => _x('4 Slides', 'admin-text', 'site-reviews-themes'),
        ],
        // 'theme' => [['property' => '--gl-col-start', 'validate' => 'layout']]
        'tooltip' => _x('Limit the responsive carousel to a maximum number of slides', 'admin-text', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'presentation.layout.swiper_options' => [
        'default' => ['pagination'],
        'depends_on' => [
            'presentation.layout.display_as' => 'carousel',
        ],
        'label' => _x('Carousel Options', 'admin-text', 'site-reviews-themes'),
        'options' => [
            'autoplay' => _x('Autoplay', 'admin-text', 'site-reviews-themes'),
            'navigation' => _x('Enable Navigation', 'admin-text', 'site-reviews-themes'),
            'pagination' => _x('Enable Pagination', 'admin-text', 'site-reviews-themes'),
        ],
        'type' => 'checkbox',
    ],
    'presentation.layout.spacing' => [
        'after' => 'px',
        'default' => 16,
        'label' => _x('Review Spacing', 'admin-text', 'site-reviews-themes'),
        'min' => -1,
        'max' => 100,
        'step' => 1,
        'theme' => [
            'property' => '--gl-spacing',
            'validate' => 'px',
        ],
        'tooltip' => _x('The spacing between reviews.', 'admin-text', 'site-reviews-themes'),
        'type' => 'range',
    ],
    'presentation.excerpt.excerpt_action' => [
        'default' => 'modal',
        'label' => _x('Excerpt Action', 'admin-text', 'site-reviews-themes'),
        'options' => [
            'disabled' => _x('Disable excerpts', 'admin-text', 'site-reviews-themes'),
            'expand' => _x('Collapse/Expand text', 'admin-text', 'site-reviews-themes'),
            'modal' => _x('Display review in modal', 'admin-text', 'site-reviews-themes'),
        ],
        'tooltip' => _x('The action that is performed when you click the "Read more" link', 'admin-text', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'presentation.excerpt.excerpt_length' => [
        'default' => '120|chars',
        'depends_on' => [
            'presentation.excerpt.excerpt_action' => ['expand', 'modal'],
        ],
        'label' => _x('Excerpt Length', 'admin-text', 'site-reviews-themes'),
        'tooltip' => _x('The maximum number of characters or words to display in a review, the remainder will be hidden behind a "Read more" link', 'admin-text', 'site-reviews-themes'),
        'type' => 'excerpt',
    ],
    'design.appearance.background_color' => [
        'default' => '#FFFFFF',
        'label' => _x('Background', 'admin-text', 'site-reviews-themes'),
        'theme' => [
            'property' => '--gl-background-color',
            'validate' => 'color',
        ],
        'tooltip' => _x('The background colour of the review.', 'admin-text', 'site-reviews-themes'),
        'type' => 'color',
    ],
    'design.appearance.border_color' => [
        'default' => '#CCD0D4',
        'label' => _x('Border', 'admin-text', 'site-reviews-themes'),
        'theme' => [
            'property' => '--gl-border-color',
            'validate' => 'color',
        ],
        'tooltip' => _x('The border colour of the review.', 'admin-text', 'site-reviews-themes'),
        'type' => 'color',
    ],
    'design.appearance.border_radius' => [
        'default' => '0|0|0|0|px|1',
        'label' => _x('Border Radius', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0',
        'theme' => [
            'property' => '--gl-border-radius',
            'validate' => 'dimensions',
        ],
        'tooltips' => [
            _x('The top-left corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The top-right corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom-right corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom-left corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The size unit', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'dimensions',
    ],
    'design.appearance.border_width' => [
        'default' => '0|0|0|0|px|1',
        'label' => _x('Border Width', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0',
        'theme' => [
            'property' => '--gl-border-width',
            'validate' => 'dimensions',
        ],
        'tooltips' => [
            _x('The top border', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The right border', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom border', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The left border', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The size unit', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'dimensions',
    ],
    'design.appearance.padding' => [
        'default' => '0|0|0|0|px|1',
        'label' => _x('Padding', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '16px',
        'theme' => [
            'property' => '--gl-padding',
            'validate' => 'dimensions',
        ],
        'tooltips' => [
            _x('The top padding', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The right padding', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom padding', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The left padding', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The size unit', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'dimensions',
    ],
    'design.appearance.shadow_1' => [
        'default' => '0|0|0|0|rgba(0,0,0,0.1)',
        'label' => _x('Shadow 1', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0',
        'theme' => [
            'property' => '--gl-box-shadow-1',
            'validate' => 'boxshadow',
        ],
        'tooltips' => [
            _x('The box-shadow offset-x in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow offset-y in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow blur-radius in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow spread-radius in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow colour', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'boxshadow',
    ],
    'design.appearance.shadow_2' => [
        'default' => '0|0|0|0|rgba(0,0,0,0.1)',
        'label' => _x('Shadow 2', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0',
        'theme' => [
            'property' => '--gl-box-shadow-2',
            'validate' => 'boxshadow',
        ],
        'tooltips' => [
            _x('The box-shadow offset-x in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow offset-y in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow blur-radius in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow spread-radius in px', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The box-shadow colour', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'boxshadow',
    ],
    'design.avatar.avatar_radius' => [
        'default' => '0|0|0|0|px|1',
        'label' => _x('Border Radius', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0px',
        'theme' => [
            'property' => '--gl-avatar-radius',
            'validate' => 'dimensions',
        ],
        'tooltips' => [
            _x('The top-left corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The top-right corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom-right corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The bottom-left corner', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('The size unit', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'dimensions',
    ],
    'design.avatar.avatar_size' => [
        'after' => 'px',
        'default' => 40,
        'label' => _x('Image Size', 'admin-text', 'site-reviews-themes'),
        'min' => 16,
        'max' => 240,
        'step' => 1,
        'theme' => [
            'property' => '--gl-avatar-size',
            'validate' => 'px',
        ],
        'tooltip' => _x('The height and width of the avatar image', 'admin-text', 'site-reviews-themes'),
        'type' => 'range',
    ],
    'design.rating.rating_colors' => [
        'default' => '#CCCCCC|#FFCF02|#FFCF02|#FFCF02|#FFCF02|#FFCF02|0',
        'depends_on' => [
            'design.rating.rating_image' => [
                'rating-circle',
                'rating-heart',
                'rating-heart-circle',
                'rating-paw',
                'rating-paw-circle',
                'rating-star',
                'rating-star-circle',
                'rating-star-mario',
                'rating-star-minecraft',
                'rating-star-rounded',
                'rating-star-square',
                'rating-star-wordpress',
            ],
        ],
        'label' => _x('Rating Colours', 'admin-text', 'site-reviews-themes'),
        'placeholder' => '0',
        'theme' => [
            ['property' => '--gl-rating-color-0', 'validate' => 'color'],
            ['property' => '--gl-rating-color-1', 'validate' => 'color'],
            ['property' => '--gl-rating-color-2', 'validate' => 'color'],
            ['property' => '--gl-rating-color-3', 'validate' => 'color'],
            ['property' => '--gl-rating-color-4', 'validate' => 'color'],
            ['property' => '--gl-rating-color-5', 'validate' => 'color'],
        ],
        'tooltips' => [
            _x('Colour used for a 0-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('Colour used for a 1-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('Colour used for a 2-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('Colour used for a 3-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('Colour used for a 4-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
            _x('Colour used for a 5-star rating', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'ratingcolors',
    ],
    'design.rating.rating_image' => [
        'default' => 'default',
        'label' => _x('Rating Image', 'setting label (admin-text)', 'site-reviews-themes'),
        'options' => [
            'default' => _x('Use Default Stars', 'admin-text', 'site-reviews-themes'),
            _x('Emoji', 'admin-text', 'site-reviews-themes') => [
                'rating-emoji2' => _x('Emoji (gradient)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-emoji1' => _x('Emoji (solid)', 'setting option (admin-text)', 'site-reviews-themes'),
            ],
            _x('Outlined', 'admin-text', 'site-reviews-themes') => [
                'rating-circle' => _x('Circle', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-heart' => _x('Heart', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-paw' => _x('Paw Print', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star' => _x('Star (Site Reviews)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-wordpress' => _x('Star (WordPress)', 'setting option (admin-text)', 'site-reviews-themes'),
            ],
            _x('Solid', 'admin-text', 'site-reviews-themes') => [
                'rating-heart-circle' => _x('Heart (circle)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-paw-circle' => _x('Paw Print (circle)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-circle' => _x('Star (circle)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-minecraft' => _x('Star (Minecraft)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-mario' => _x('Star (pixel Mario)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-rainbow' => _x('Star (pixel rainbow)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-rounded' => _x('Star (rounded square)', 'setting option (admin-text)', 'site-reviews-themes'),
                'rating-star-square' => _x('Star (square)', 'setting option (admin-text)', 'site-reviews-themes'),
            ],
        ],
        'tooltip' => _x('The images used for the star rating (emojis use predefined colours). If you would like to use custom rating images as shown in the FAQ, select the "Use Default Stars" option.', 'setting label (admin-text)', 'site-reviews-themes'),
        'type' => 'select',
    ],
    'design.rating.rating_size' => [
        'after' => 'px',
        'default' => 16,
        'label' => _x('Rating Image Size', 'admin-text', 'site-reviews-themes'),
        'min' => 8,
        'max' => 64,
        'step' => 1,
        'theme' => [
            'property' => '--gl-rating-size',
            'validate' => 'px',
        ],
        'tooltip' => _x('The height/width of the rating image.', 'admin-text', 'site-reviews-themes'),
        'type' => 'range',
    ],
    'design.typography.text_large' => [
        'default' => '20|28|px|',
        'label' => _x('Large Text', 'admin-text', 'site-reviews-themes'),
        'theme' => [
            ['property' => '--gl-font-size-large', 'validate' => 'unit'],
            ['property' => '--gl-line-height-large', 'validate' => 'unit'],
            [], // leave this empty since we are not running validation on the size unit
            ['property' => '--gl-color-large', 'validate' => 'color'],
        ],
        'tooltips' => [
            _x('The font-size', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The line-height', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The size unit', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The text colour', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'typography',
    ],
    'design.typography.text_normal' => [
        'default' => '20|28|px|',
        'label' => _x('Normal Text', 'admin-text', 'site-reviews-themes'),
        'theme' => [
            ['property' => '--gl-font-size-normal'],
            ['property' => '--gl-line-height-normal'],
            [], // leave this empty since we are not running validation on the size unit
            ['property' => '--gl-color-normal', 'validate' => 'color'],
        ],
        'tooltips' => [
            _x('The font-size', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The line-height', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The size unit', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The text colour', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'typography',
    ],
    'design.typography.text_small' => [
        'default' => '20|28|px|',
        'label' => _x('Small Text', 'admin-text', 'site-reviews-themes'),
        'theme' => [
            ['property' => '--gl-font-size-small'],
            ['property' => '--gl-line-height-small'],
            [], // leave this empty since we are not running validation on the size unit
            ['property' => '--gl-color-small', 'validate' => 'color'],
        ],
        'tooltips' => [
            _x('The font-size', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The line-height', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The size unit', 'admin-text (setting label)', 'site-reviews-themes'),
            _x('The text colour', 'setting label (admin-text)', 'site-reviews-themes'),
        ],
        'type' => 'typography',
    ],
];
